<template>
  <div class="custom-crud-page">
    <el-bus-crud ref="crud" v-bind="tableConfig"></el-bus-crud>
  </div>
</template>

<script>
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/code/value',
        newUrl: 'flower/api/code/value/add',
        editUrl: 'flower/api/code/value/edit',
        deleteUrl: 'flower/api/code/value/delete',
        extraQuery: {
          type: this.$route.params.id,
        },
        extraBody: {
          typeCode: this.$route.params.id,
        },
        hasPagination: false,
        columns: [
          { label: '序号', type: 'index' },
          { label: '类型', prop: 'typeCode' },
          { label: '数据值', prop: 'value' },
          { label: '标签名', prop: 'label' },
          { label: '描述', prop: 'description' },
          { label: '更新时间', prop: 'updatedDate' },
        ],
        form: [
          {
            label: '类型：',
            id: 'typeCode',
            type: 'input',
            readonly: true,
            default: this.$route.params.id,
          },
          {
            label: '数据值：',
            id: 'value',
            type: 'input',
            rules: { required: true, message: '请输入数据值', trigger: 'blur' },
          },
          {
            label: '标签名：',
            id: 'label',
            type: 'input',
            rules: { required: true, message: '请输入标签名', trigger: 'blur' },
          },
          {
            label: '描述：',
            id: 'description',
            type: 'input',
            el: {
              type: 'textarea',
              rows: '6',
            },
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '字典项',
    }
  },
}
</script>

<style scoped lang="scss">
.el-bus-crud {
  padding-top: 20px;
}
</style>
